この環境のエージェント エンジンの出力 NAT CIDR を返します。これらは、エージェントがワークロードをドロップするアドレスであり、LVM プロバイダーやサードパーティの SaaS などの Atlas 以外の宛先に到達するときに Egress は、Atlas プロジェクトではなく外部サービスで許可リストされます。
GET /api/v1 /プラットフォーム/agent-egress-ips
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/platform/agent-egress-ips' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"egress_ips": [
"string"
]
}
応答の例(200)
{
"egress_ips": [
"string"
]
}